List for cgit developers and users
 help / color / mirror / Atom feed
* [PATCH] t0109: skip if strace is broken
@ 2018-12-11 20:23 
  0 siblings, 0 replies; only message in thread
From:  @ 2018-12-11 20:23 UTC (permalink / raw)


The strace binary might not work even though it is available. For instance,
ptrace might be disabled in the kernel or might be unsupported (e.g. when
running qemu-user for cross-building to another cpu arch). This patch skips
the t0109 tests in this case.

Signed-off-by: Samuel Lid?n Borell <samuel at kodafritt.se>
---
P.S. This is my first patch to cgit. Criticism is welcome :)

 tests/t0109-gitconfig.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tests/t0109-gitconfig.sh b/tests/t0109-gitconfig.sh
index 3ba6684..9d7f074 100755
--- a/tests/t0109-gitconfig.sh
+++ b/tests/t0109-gitconfig.sh
@@ -9,6 +9,12 @@ test -n "$(which strace 2>/dev/null)" || {
 	exit
 }
 
+strace true >/dev/null 2>&1 || {
+	skip_all='Skipping access validation tests: strace is not working'
+	test_done
+	exit
+}
+
 test_no_home_access () {
 	non_existent_path="/path/to/some/place/that/does/not/possibly/exist"
 	while test -d "$non_existent_path"; do
-- 
2.17.1




^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2018-12-11 20:23 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-12-11 20:23 [PATCH] t0109: skip if strace is broken 

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).